Skip to main content

Forward Update Order API:

DESCRIPTION :Use this API to update an order on the RapidShyp platform.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/create_order
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location 'https://apI.rapidshyp.com/rapidshyp/apis/v1/order_update' \
--header 'rapidshyp-token: 9' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "1111111111",
"pickupAddressName": "AbhinavvvvvVVVVVvvvV",
"store_name": "DEFAULT",
"shippingAddress": {
"firstName": "ABGH",
"lastName": "",
"addressLine1": "WEww",
"addressLine2": "DDDDDD",
"pinCode": "250221",
"email": "abc@gmail.com",
"phone": "9999999999"
},
"billingAddress": {
"firstName": "aDFGG",
"lastName": "",
"addressLine1": "sfdD",
"addressLine2": "Apt 10",
"pinCode": "110001",
"email": "jane.doee@xample.com",
"phone": "9999999999"
},
"paymentMethod": "PREPAID",
"packageDetails": {
"packageLength": 0.0,
"packageBreadth": 0.0,
"packageHeight": 0.0,
"packageWeight": 0.0
}
}'

Request ParametersRequiredRemarkValidation
orderIdMandatorySeller order ID for which you want to make the updatesValid order created on Rapidshyp
store_nameMandatoryStore name of the orderFormat: YYYY-MM-DD
pickupAddressNameConditionally-MandatoryUse the updated pickup location name to update the location if requiredEnter a valid location name for Rapidshyp created pickup locations
shippingAddress: {Conditionally-Mandatory
firstNameMandatoryCustomer First nameMinimum 3 characters
lastNameMandatoryCustomer Last nameMinimum 3 characters
addressLine1MandatoryCustomer address line 1Pickup address line 1 must be between 3 and 100 characters long
addressLine2MandatoryCustomer address line 2If entered, Pickup address line 2 must be between 3 and 100 characters long
pinCodeMandatoryLocation PincodeMust be 6-digit valid pincode
emailNon-MandatoryCustomer EmailValid email id
phoneMandatoryCustomer Phone numberMust be 10-digit valid phone number
},
billingAddress: {Conditionally-Mandatory
firstNameMandatoryCustomer Billing First nameMinimum 3 characters
lastNameMandatoryCustomer Billing Last nameMinimum 3 characters
addressLine1MandatoryBilling customer address line 1Pickup address line 1 must be between 3 and 100 characters long
addressLine2MandatoryCustomer Billing address line 2If entered, Pickup address line 2 must be between 3 and 100 characters long
pinCodeMandatoryBilling Location PincodeMust be 6-digit valid pincode
emailNon-MandatoryBilling Customer EmailValid email id
phoneMandatoryBilling Customer Phone numberMust be 10-digit valid phone number
},
paymentMethodConditionally-MandatoryUse this to change COD order to Prepaid ordersCOD/PREPAID allowed
packageDetails: {Conditionally-Mandatory
packageLengthMandatorypackageLengthIn cm
packageBreadthMandatorypackageBreadthIn cm
packageHeightMandatorypackageHeightIn cm
packageWeightMandatorypackageWeightIn gm
}
}

Response:

JSON
{
"status": "success",
"partial_update": true,
"not_updated_fields": "",
"remarks": "success",
"order_id": "1111111111",
"updated_shipment_details": [
{
"shipment_id": "1111111111",
"pickup_name": "third",
"payment_method": "PREPAID",
"shipping_charges": 10,
"giftwrap_charges": 11,
"transaction_charges": 12,
"total_discount": 70,
"total_value": 5473,
"collectable_amount": 0,
"prepaid_amount": 5473
}

]
}